// Nokia3310.h
#ifndef _NOKIA3310_
#define _NOKIA3310_


#include <system.h>

//SPI Interface========================================================
#define LCD_RESET		portb.5
#define LCD_SCE			portc.6
#define LCD_INSTRUCTION	portb.7
#define LCD_SCLK		portb.6

extern void SpiInit();
#define SpiWrite(x) sspbuf=x; while(!sspstat.0)

extern void LcdWrite(char mode,char dat);
extern void Lcd_Locate(unsigned char x, unsigned char y);
extern void LcdInit(void);
extern void LcdCls();
#define LcdXy(x,y) Lcd_Locate(x*6,y)

void LcdPutnum(char c);	//l̕\
void LcdColon();		//R̕\
void LcdTemp();			//"Temp"̕\
void LcdBuzz(char flg);	//uU[ACR̕\

#endif	// _NOKIA3310_

